/********************************************
* custom.css (20240817)						*
* Copyright © Florian Daschkiewicz, 2024	*
* All rights reserved.						*
********************************************/

@font-face {
	font-family: "Barlow";
	src: url("../fonts/Barlow/Barlow-Regular.woff2") format("woff2"), url("../fonts/Barlow/Barlow-Regular.ttf") format("truetype");
	font-weight: normal;
	font-style: normal
}

/* Custom Scrollbar */
::-webkit-scrollbar { width: 20px }
::-webkit-scrollbar-track { background-color: transparent }
::-webkit-scrollbar-thumb { background-color: #d6dee1; border-radius: 20px; border: 6px solid transparent; background-clip: content-box }
::-webkit-scrollbar-thumb:hover { background-color: #a8bbbf }

* { box-sizing: border-box }
html, body { height: 100%; cursor: default; scroll-behavior: smooth }
body, h1, h2, h3, h4, h5, h6 { font-family: "Barlow", Arial, sans-serif }
ul li a { line-height: 2em }
img[onclick] { cursor: pointer }
button.w3-circle, a.w3-circle { padding: 4px; width: 40px; height: 40px }
div[onclick] { cursor: pointer }

.fixed-top { position: sticky; top: 0; z-index: 1 }
.slide { display: none; max-width: 100% }
.slidenavdot { width: 13px; height: 13px; padding: 0 }
.invalid-input { border: 2px solid #ff0000 !important }
.photo-credit { width: 133px }
.w3-modal-content { max-height: 80vh; overflow: auto; overscroll-behavior: contain }

#nav a { width: 25% }
#nav .w3-bar-item { padding: 8px !important }
#home { min-height: 100%; background-image: url("../img/violin-8405558_1920.jpg"); background-position: center; background-size: cover }
#home img { width: 50vw; max-width: 379px }
#products img { width: 100% }
#product-detail.w3-modal-content { padding: 32px; max-width: 600px }
#contact textarea { min-height: 160px }